/*

  					W3C Sample Code Library libwww SSL Transport Wrapper


!
  SSL Transport Wrapper
!

This module declares a SSL (using the OpenSSL
library) transport wrapper so that libwww can use SSL as a
transport the same way it can use TCP and
local host as transports. This module keeps a context of the application
(SSL_CTX), Cipher negotiation, certificate directory path setting
could be added here.

The module is contributed by Olga Antropova
*/

#ifndef _HTSSL_H
#define _HTSSL_H

/*
.
  The HTSSL Class
.

The HTSSL Class is the libwww interface to the SSL layer.
*/

typedef struct _HTSSL HTSSL;

extern BOOL HTSSL_init (void);
extern BOOL HTSSL_isInitialized (void);
extern BOOL HTSSL_terminate (void);

extern HTSSL * HTSSL_new (int sd);
extern void HTSSL_free (HTSSL * htssl);

extern BOOL HTSSL_open (HTSSL * htssl, int sd);
extern BOOL HTSSL_close (HTSSL * htssl);
extern BOOL HTSSL_isOpen (HTSSL * htssl);

extern int HTSSL_read (HTSSL * htssl, int sd, char * buff, int len);
extern int HTSSL_write (HTSSL * htssl, int sd, char * buff, int len);
extern int HTSSL_getError (HTSSL * htssl, int status);

/*
*/

#endif /* _HTSSL_H */

/*

  

  @(#) $Id: HTSSL.html,v 1.2 1999/04/14 00:24:45 frystyk Exp $

*/
